Bug 1464442 - [abrt] remmina: do_validate_rows(): remmina killed by SIGSEGV
[abrt] remmina: do_validate_rows(): remmina killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cc446f4fca870ccbed5af846b9b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 08:32 EDT by Alex Gluck
Modified: 2017-07-07 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: remmina-1.2.0-0.37.20170622git7e82138.fc25 remmina-1.2.0-0.37.20170622git7e82138.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 22:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.00 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: cgroup (242 bytes, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: core_backtrace (13.43 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: dso_list (13.60 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: environ (1.76 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: maps (63.78 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: mountinfo (3.73 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: open_fds (1.81 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: var_log_messages (11.25 KB, text/plain)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-06-23 08:32 EDT, Alex Gluck
no flags Details

  None (edit)
Description Alex Gluck 2017-06-23 08:32:24 EDT
Version-Release number of selected component:
remmina-1.2.0-0.35.20170510git41c8de6.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: do_validate_rows
executable:     /usr/bin/remmina
global_pid:     31455
kernel:         4.11.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 do_validate_rows at gtktreeview.c:6897
 #1 gtk_tree_view_get_preferred_width at gtktreeview.c:2637
 #2 gtk_widget_query_size_for_orientation at gtksizerequest.c:181
 #3 gtk_widget_compute_size_for_orientation at gtksizerequest.c:399
 #4 gtk_widget_get_preferred_width at gtksizerequest.c:492
 #5 gtk_scrolled_window_measure at gtkscrolledwindow.c:1826
 #6 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #7 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:675
 #8 gtk_scrolled_window_get_preferred_width at gtkscrolledwindow.c:4052
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:181
Comment 1 Alex Gluck 2017-06-23 08:32:32 EDT
Created attachment 1291028 [details]
File: backtrace
Comment 2 Alex Gluck 2017-06-23 08:32:33 EDT
Created attachment 1291029 [details]
File: cgroup
Comment 3 Alex Gluck 2017-06-23 08:32:36 EDT
Created attachment 1291030 [details]
File: core_backtrace
Comment 4 Alex Gluck 2017-06-23 08:32:38 EDT
Created attachment 1291031 [details]
File: dso_list
Comment 5 Alex Gluck 2017-06-23 08:32:40 EDT
Created attachment 1291032 [details]
File: environ
Comment 6 Alex Gluck 2017-06-23 08:32:41 EDT
Created attachment 1291033 [details]
File: limits
Comment 7 Alex Gluck 2017-06-23 08:32:44 EDT
Created attachment 1291034 [details]
File: maps
Comment 8 Alex Gluck 2017-06-23 08:32:46 EDT
Created attachment 1291035 [details]
File: mountinfo
Comment 9 Alex Gluck 2017-06-23 08:32:48 EDT
Created attachment 1291036 [details]
File: namespaces
Comment 10 Alex Gluck 2017-06-23 08:32:50 EDT
Created attachment 1291037 [details]
File: open_fds
Comment 11 Alex Gluck 2017-06-23 08:32:51 EDT
Created attachment 1291038 [details]
File: proc_pid_status
Comment 12 Alex Gluck 2017-06-23 08:32:54 EDT
Created attachment 1291039 [details]
File: var_log_messages
Comment 13 Alex Gluck 2017-06-23 08:32:55 EDT
Created attachment 1291040 [details]
File: exploitable
Comment 14 Fedora Update System 2017-06-26 07:44:12 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc25 freerdp-2.0.0-28.20170623git9904c32.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 15 Fedora Update System 2017-06-26 07:44:53 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc26 freerdp-2.0.0-28.20170623git9904c32.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 16 Fedora Update System 2017-06-26 23:23:32 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 17 Fedora Update System 2017-06-27 02:25:10 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 18 Fedora Update System 2017-07-05 22:22:03 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2017-07-07 18:59:10 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.